Figure - 0 O Dev #113436
00 Dev#110122 (New): DMKO OO OO
00 Dev# 110126 (New): D MKO OAFO 0000
0 O Dev# 110706 (New): 0 MKO O FWO O GameModel 0 TC-RID: 1201-02048010]
0 MKO O FWO O GameModeld 0 TC-RID: 1201-020480100 Game Mode base
2022-11-0113:35- CD FW-0 0 O

Status: 0 O Closed Start date: 2022-11-01
Priority: Normal Due date:

Assignee: CDFW-0O 0O % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

1.000000000000000000Dooo0ooDoooooogo

2000 0000000000000 00000000000D0O00DOOO0412000000000
3z 0000000ooooooool00000oD00oDo0oDo0oooooD4l00000000
UED O OOQO

00000 0O O https://thundersoft.feishu.cn/file/boxcn4WSiuGyviHMRNOXhMSrEaf
0000000000000 https://thundersoft.feishu.cn/file/boxcnjVzEvgG4o3bvrplA7yWChe
00000000 O https://thundersoft.feishu.cn/docx/doxcnkCbTXYb4vXfifbXetgwYxb

History

#1-2022-11-0113:37-CDFW-0 OO
- Parent task set to #110706

#2-2022-11-0113:41-CDFW-0 OO
- Description updated
- Assignee setto CD FW-0 [0 O

#3-2022-11-0113:47-CDFW-0 0 O
- Subject changed from 0 MKO 0O FWO 00 GameMode [0 TC-RID: 1201-020480100 Game Mode Infrastructure to 0 MKO O FWO O GameModel 00 TC-RID:
1201-0204801C1 Game Mode base

#4 - 2022-11-0210:28-CDFW-O O O
- Assignee changed from CD FW-0O 0 O toCD FW-0O O

#5-2022-11-0318:05-CDFwW-0 0O O

O000000OquicksettingD O O Osetting0 D00 O0OOOOOO

1.0quicksettingd OO0 000000 OsettingD DO OO0ODOOOODOOOOO

2.0quicksettingD OO0 0000000 settingsD0 00000000 DOOOOOO

3.0SettingsD 0 00O O00O0OOOquicksettingd OO O0OO0O0ODOOOOOOO

40 Settings0 00000000 Oquicksettingd OO0 0OO0O00DOOOO0DOOO

S50app0 00000000, Oquicksettingd 0000000000 0OOOODOOOODOOO

6.0app0 000000 ,Oquicksettingd D0 0000000000000 O0ODOOquicksettingD 0000000000000 0OOOODOOOOO
gooo

#6 - 2022-11-08 13:53 - CD FW-0O O

- Status changed from New to [0 0 Resolved
https://thundersoft.feishu.cn/file/boxcn4WSiuGyviHMRNOXhMSrEaf
https://thundersoft.feishu.cn/file/boxcnjVzEvgG4o3bvrp1A7yWChe
https://thundersoft.feishu.cn/docx/doxcnkCbTXYb4vXfJfbXetgwYxb

#7 - 2022-11-08 13:54 - CD FW-0O O
- % Done changed from 0 to 100

#8 - 2022-11-09 15:00 - CD FW-0O O

- Status changed from O O Resolved to O O Closed
#9 - 2022-12-15 18:01 - loT scm
Gerrit Merge Information]
1D Project Branch Uploader
170565 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com

gs

-dev

AF:GameMode:Add action for game mode settingsAdd action for game mode settingsTC-RID: 0301-0204801IssuelD: TS-R-DF-113436Change-Id:
199a91d8ea654ae42f123fc9022e193b38646744¢

#10 - 2022-12-15 18:01 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

170569

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

caoqg0702@thundersoft.com

AF:GameMode:Add long click event for game mode tileAdd long click event for game mode tileTC-RID: 0301-02048011ssuelD: TS-R-DF-113436Change-Id:
1b37ealc5f113ecaee17909353576044f211ad00f

#11 - 2022-12-22 20:49 - CD FW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

159915

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

lingluo.zhou@thundersoft.com

AF:QuickSettings: Add GameMode to quickSetting for database operationAdd GameMode to quickSetting for database operationTC-RID: 1201-0204801IssuelD:
TS-R-DF-113436Change-Id: 19940c25315bc07a050b2bb17935¢25363e7731ab

#12 - 2022-12-22 20:49 - CD Fw-0O O

Gerrit Merge Information(

1D Project Branch Uploader

160187 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | lingluo.zhou@thundersoft.com
m/apps/GameMode -dev
AF:GameMode: When quicksetting is used to switch the game mode, the interface refreshes.When quicksetting switches the game mode, the app interface of the
game is refreshing. TC-RID: 1201-0204801IssuelD: TS-R-DF-113436Change-1d: 1h67686ec97610dc9c2d51ca787256ech3c8a3829

#13 - 2022-12-22 20:49 - CD Fw-0O O

Gerrit Merge Informationd

1D Project Branch Uploader
160237 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | lingluo.zhou@thundersoft.com
gs -dev

AF:Settings: When quicksetting is used to switch the game mode, the interface refreshes.When quicksetting switches the game mode, the settings interface
refreshing. TC-RID: 1201-0204801Issuel D: TS-R-DF-113436Change-Id: 12c4d8b8ff94248acd52702ec927c32b96fach9e7?

#14 - 2022-12-22 20:53 - CD FW-0 O

Gerrit Merge Information(

1D Project Branch Uploader
162289 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | lingluo.zhou@thundersoft.com
m/apps/GameMode -dev

AF:GameMode: Optimize codeOptimize code. TC-RID: 1201-0204801IssuelD: TS-R-DF-113436Change-Id: 123e3fcfc42ff701309f45bd566df98b8e6073414

#15 - 2023-05-24 20:40 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
202331 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
-dev

AF:GameMode: Add Game JianAnLegend to game listTC-RID: 1201-02048011ssuelD: TS-R-DF-113436Change-Id:
1a55¢7b05a18da3d7611bb7f7c313e5c029df98ae

#16 - 2023-07-14 14:46 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
214883 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
-dev

AF:GameMode: Add Game zyddz to game listTC-RID: 1201-02048011Issuel D: TS-R-DF-113436Change-1d: laab1b05ef0c67a4409aa6elclea058f3d559a59d

#17 - 2023-07-14 15:01 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

214901

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:GameMode: Add Game zyddz to game listTC-RID: 1201-0204801IssuelD: TS-R-DF-113436Change-I1d:
laab1b05ef0c67a4409aa6elclea058f3d559a59d(cherry picked from commit d8edbe93536e9bdcc6bf69a541b8del7b3acd194)

#18 - 2023-07-18 11:27 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

215620

general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:GameMode: when app list less than 5 icon errorTC-RID: 1201-02048011ssuel D: TS-R-DF-113436, IOVDEV-36421Change-1d:
1120b4b3656923bbal3ce0420c00a4139a2416512

#19 - 2023-07-20 00:03 - IoT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

216252

general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:GameMode: when app list less than 5 icon errorTC-RID: 1201-02048011ssuel D: TS-R-DF-113436, IOVDEV-36421Change-Id:
1120b4b3656923bbal3ce0420c00a4139a2416512(cherry picked from commit 3f61735feb6a5f2d96ale1f561eb804f002f613d)

#20 - 2023-07-24 15:14 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

217055

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

hong.wang_a@thundersoft.com

AF:GameMode:add com.qileyx.ddz.huawei to game modeTC-RID: 1201-0204801IssuelD: TS-R-DF-113436,10VDEV-34042Change-Id:
1773b73ca9b097d7efd230a59083e46034a563996

#21 - 2023-07-27 23:52 - 10T scm

Gerrit Merge Information(]

ID

Project

Branch

Uploader

218311

2025-07-04

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

wangxl0510@thundersoft.com
-release_sorp

AF:GameMode:add com.qileyx.ddz.huawei to game modeTC-RID: 1201-0204801Issuel D: TS-R-DF-113436,I0VDEV-34042Change-1d:
1773b73ca9b097d7efd230a59083e46034a563996(cherry picked from commit 4913598fdch80c983df1d1863684b5a0a976f5cd)

#22 - 2023-08-23 18:04 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

305705

general/platform/vendor/thundercom
m/apps/GameMode

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:GameMode: Optimize brightness set logical. TC-RID: 1201-0204801Issuel D: TS-R-DF-113436, IOVDEV-40176Change-Id:
1f444938c8b5f6b3863f2f563a49ae16a41b076d7

#23 - 2023-08-29 19:12 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

307175

general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:GameMode: Optimize brightness set logical. TC-RID: 1201-0204801IssuelD: TS-R-DF-113436, IOVDEV-40176Change-Id:
1444938c8hb5f6b3863f2f563a49ae16a41b076d7(cherry picked from commit 47493abba95f9ba937d67111550a647f968b6e79)

#24 - 2023-09-20 15:24 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

314458

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tianying.cheng@thundersoft.com

AF:GameMode: Add Game package to game list1.Plants vs. Zombies 2TC-RID: 1201-0204801Issuel D: TS-R-DF-113436, IOVDEV-41898Change-1d:
18aaab951bf9b12982161aac4a010d1cd970a889c

#25 - 2023-10-07 17:01 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

317335

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

2025-07-04
AF:GameMode: Add Game package to game list1.Plants vs. Zombies 2TC-RID: 1201-0204801IssuelD: TS-R-DF-113436, IOVDEV-41898Change-1d:
182aab951bf9b12982161aac4a010d1cd970a889c(cherry picked from commit 605f3afc705059e506afc2fb17¢c5c04ce23cd09c)

#26 - 2023-10-09 19:40 - IoT scm

Gerrit Merge Information(]

1D Project Branch Uploader
317843 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/GameMode -dev

GameMode:VC1 Ul V1.20ptimized animation of rounded cornersTC-RID: 1201-0204801Issuel D: TS-R-DF-113436 |IOVDEV-45387Change-1d:
1218bch565102d4bd0f2b177185b5952221a245af

#27 - 2023-10-09 19:40 - IoT scm

Gerrit Merge Informationd

1D Project Branch Uploader
317905 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/GameMode -dev

GameMode:VC1 Ul V1.20ptimized tools item of rounded cornersTC-RID: 1201-02048011ssuel D: TS-R-DF-113436 IOVDEV-45320Change-Id:
105827¢79f470cb1c51956857f0ecf777b06c05¢

#28 - 2023-10-10 16:06 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader
318155 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/GameMode -dev

GameMode:VC1 Ul VV1.20ptimized tools item of rounded cornersTC-RID: 1201-02048011ssuelD: TS-R-DF-113436 IOVDEV-44742Change-I1d:
1a3dba21c64f7017b4c2d6959a9fd7e30e9b03d9b

#29 - 2023-10-12 15:04 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
318546 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/GameMode -dev
GameMode:VC1 Ul V1.20ptimized gamemode tip of rounded cornersTC-RID:

180ae2861fcbb7¢13941d0f8587b1cf7b0d13a0c?

1201-0204801IssuelD: TS-R-DF-113436 IOVDEV-44736Change-Id:

#30 - 2023-10-12 22:24 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

319117

general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

GameMode:VC1 Ul V1.20ptimized animation of rounded cornersTC-RID: 1201-0204801IssuelD: TS-R-DF-113436 IOVDEV-45387Change-Id:
1218bch565102d4bd0f2b177185b5952221a245af (cherry picked from commit d2ededbc60aa682b9bac7d25563c3c6136509014)

#31 - 2023-10-12 22:24 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

319118

general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

GameMode:VC1 Ul V1.20ptimized tools item of rounded cornersTC-RID: 1201-02048011ssuel D: TS-R-DF-113436 IOVDEV-45320Change-Id:
105827¢79f470ch1¢519568f57f0ecf777b06c05¢c(cherry picked from commit 012b5151e5123db2f4b53fa8a3c74ch566abc57h)

#32 - 2023-10-12 22:31 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

319121

general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

GameMode:VC1 Ul VV1.20ptimized tools item of rounded cornersTC-RID: 1201-02048011ssuelD: TS-R-DF-113436 IOVDEV-44742Change-1d:
la3dba21c64f7017b4c2d6959a9fd7e30e9b03d9b(cherry picked from commit 8c543768eac95659487199326f1559e20be45c5a)

#33 - 2023-10-20 10:37 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

320558

general/platform/vendor/thundercom
m/apps/GameMode

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

2025-07-04
AF:GameMode:MCE Ul 2.11.MCE Ul 2.12.Adjust VC1 UITC-RID: 1201-0204801Issuel D: TS-R-DF-113436Change-Id:
19a2a030d60a25785d9b0f685b10ae18eee0c62e9

#34 - 2023-10-27 01:26 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
323283 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
m/apps/GameMode -release_sorp

GameMode:VC1 Ul V1.20ptimized gamemaode tip of rounded cornersTC-RID: 1201-0204801IssuelD: TS-R-DF-113436 IOVDEV-44736Change-Id:
180ae2861fchb7c13941d0f8587b1cf7b0d13a0c7(cherry picked from commit b741036¢7fdb3e711ab0018dd737854e0e10c49e)

#35 - 2023-10-27 01:55 - IoT scm

Gerrit Merge Informationd

1D Project Branch Uploader
323316 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
m/apps/GameMode -release_sorp

AF:GameMode:MCE Ul 2.11.MCE Ul 2.12.Adjust VC1 UITC-RID: 1201-02048011ssuelD: TS-R-DF-113436Change-1d:
19a2a030d60a25785d9b0f685b10ae18eee0c62e9(cherry picked from commit h0albb30297f3960ef763ca72abf2a2ale381d8f)

2025-07-04

8/8




